/*
	TransactionSupport.h
	(c) Copyright 1995 NeXT Computer Inc.
*/

/* Load balancing defines */

/* An error occured while load balancing */
#define LOAD_BALANCING_FAILURE 0
/* Load balancing was successfull, returned a port number */
#define LOAD_BALANCING_SUCCESS 1
/* There is no config file */
#define LOAD_BALANCING_NO_CONFIG 2
/* Application not in config file */
#define LOAD_BALANCING_APPLICATION_NOT_IN_CONFIG 3

/* Load balancing */
int WOServerAdaptorGetRandomHostNameAndPort(const char *appName, int *instance, char **hostName, int *appPort, int *sockDes, int timeout, const char *configFile);